Homeworld 2 Modding Interview

Post a reply

Confirmation code
Enter the code exactly as it appears. All letters are case insensitive.
Smilies
:) :rolleyes: :cool: :eek: :mad: :D :confused: ;) :( :p :O :love: :Pistols: :dbounce: :happy: :ak47: :awm: :badass: :ban: :banana: :bawling: :cheers: :grinangel :grinflip: :gringift: :invasion: :Party: :dthumbs: :grinok: :birthday: :bouncy1: :bouncy2: :bouncy3: :borg: :burger: :comeon: :confusion :shades: :cry: :cuss: :deal: :eviltail: :disapprov :doh: :bond: :bzb: :drool: :duel: :jaw:
View more smilies

BBCode is ON
[img] is ON
[flash] is OFF
[url] is ON
Smilies are ON

Topic review
   

Expand view Topic review: Homeworld 2 Modding Interview

by Swifty » Thu Jun 12, 2003 10:28 pm

I known about the Maya thing for a while but the non-coding bit is a massive let down Image

As for Maya . I suppose it can import OBJ's or what ever much like 3d Max or LW without 'braking' the models too much
*fingers crossed*

by Kosh_Naranek » Wed Jun 11, 2003 12:23 am

Thats bad news. Cause i got myself a little into LW. And why they use Maya? Couldn't they use LW cause Babylon5 Space Scenes where made with LW. But i think the System Specs for Maya are not to worry about. Cause i think LW needs the same specs the only drawback for me is it doesn't work on Win 98. Mhh?!? OK the Comp of my Mom will do fine if i install Win 2000 Image.

[This message has been edited by Kosh_Naranek (edited 11 June 2003).]

by Captain Pierce » Tue Jun 10, 2003 11:46 pm

Oddly enough, the full version of Maya will run with only 128MB of RAM, according to their website, although they recommend 256 or more... It still requires Windows 2000 or XP, and if you dig deep enough on their website, you find that they recommend that you don't run it on GeForce series video cards... :/ As muadib has said, Maya is not something designed for the amateur 3D modeller--though, really, IMO, neither is Max or LW. Image

by Steareth » Tue Jun 10, 2003 7:35 pm

It should run on a lower system too, as I have Maya 4.5 (ahem Image) running on a Duron 1200mhz 256 DRAM and a Radeon 8500 nicely. Dunno how it slows down with highly complicated scenes though... But it shouldn't really be a problem...

by Captain Pierce » Tue Jun 10, 2003 6:01 pm

The interview says they're "trying to work" with Alias on getting the plug-ins to work with the PLE. The wording doesn't exactly inspire confidence. I haven't heard of any games using Maya PLE--those wishing to use a modelling program as the heart of their modding tools have typically used Gmax (including Relic themselves on Impossible Creatures). The problem with this I see from Alias' side is one of access. Maya PLE, the way I understand it, contains most of the features of the $2000 version of Maya, but is limited by saving only in a proprietary file format and by watermarking either the model or the textures or some darn thing. Now, if Relic comes along and makes plugins for it that export to .peo2 (or whatever the HW2 model format turns out to be), then what you'll likely have is a way to get models out of the PLE into pretty much any format you want them in--because no doubt one of the first tools that Crook, Spooky, and/or Delphy will write is a .peo2 to (ironically Image ) .obj converter. My suspiscion is that Alias will not be particularly thrilled with this concept.

This is of course all complete speculation, though... Image

Even if I turn out to be completely full of crap on all this (wouldn't be the first time Image ) and the plug-ins do support the PLE, take a look at the system specs for PLE:
Orginally posted by TheStressPuppy in the HW Trek forum:

Software
Windows® 2000 Professional, Windows® XP Professional

Netscape or Internet Explorer 3.0 or higher

Hardware
Windows: Intel Pentium or AMD Athlon processor (would be nice to know what speed)
*512 Mbytes RAM!!*
CD-ROM drive
Hardware-accelerated OpenGL® graphics card
3-button mouse with mouse driver software
450 Mbytes of hard disk space
More info can be found here http://www.aliaswavefront.com/en/products/maya/
which means, I would think, that a lot of people aren't going to be able to run it...

by Crook » Tue Jun 10, 2003 11:08 am

I suspect the Maya plugins will work with Maya PLE, a free version of Maya.

by maudib » Tue Jun 10, 2003 5:39 am

Bloody Hell! They used Maya to create HW2, and say that to use their modding tools will require the possesion and use of Maya! Now if that isn't an attempt to snub most of the amateur 3d modellers out there, i don't know what is. Knowing that most amateurs use Lightwave and 3D Studio Max as affordable and powerful 3D software for our modelling and modding efforts. AND you may have to buy a special limited version of Maya offered with the mod packs...oh, of course at a price Image And they won't support coding mods? What a disappointment...

by Captain Pierce » Tue Jun 10, 2003 2:28 am


Top